| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Properties | Private Attributes | List of all members
IG.Neural.AnalysisFileServerNeural Class Reference

Class containing direct analysis (in optimization) based on neural network optimization. More...

Inheritance diagram for IG.Neural.AnalysisFileServerNeural:
[legend]
Collaboration diagram for IG.Neural.AnalysisFileServerNeural:
[legend]

## Public Member Functions
| AnalysisFileServerNeural (string workingDirectoryPath)
| Constructor, sets object's working directory to the specified path. More...
virtual void | Analyse (IAnalysisResults analysisData)
| Performs analysis - calculates requested results and writes them to the provided data structure. More...
override void | ClearMessages ()
| Clears all messages in the neural network approximator's file client/server directory. More...
virtual void | ServerAnalyse ()
| Performs server-side direct analysis. Reads analysis input from standard location, calculates output and writes it to the standard location. More...
virtual void | ClientCalculateAnalysisResults (AnalysisResults anRes)
| Calculates analysis results by using the analysis server. More...
virtual void | ClientTestCalculateAnalysisResults (string inputFilePath, bool reqObjective, bool reqConstraints, bool reqObjectiveGradient, bool reqConstraintGradients, string outputFilePath)
| Performs client-side test calculation of analysis response. More...
Public Member Functions inherited from IG.Neural.ApproximationFileServerNeural
| ApproximationFileServerNeural (string workingDirectoryPath)
virtual void | ServerCalculateApproximation ()
| Performs server-side calculation of the approximation. Reads input from standard location, calculates output and writes it to the standard location. More...
virtual void | ClientCalculateApproximation (IVector input, ref IVector output)
| Calculates the neural network based approximated values. More...
virtual void | ClientTestCalculateApproximation (string inputFilePath, string outputFilePath)
| Performs client-side test calculation of neural network based approximation where input parameters are read from a specified JSON file, and calculated output values are written to the specified file. More...

## Protected Member Functions
virtual void | AnalysisToApproximationInput (IVector anInput, ref IVector approximationInput)
| Converts analysis input parameters to approximation input parameters. More...
virtual void | ApproximationToAnalysisOutput (IVector approxOuptut, IAnalysisResults anResults)
| Converts approximation output to direct analysis results. Sets objective function to sum of squares of approximated values. WARNING: This method should be overridden in derived classes. More...

## Properties
OptFileManager | OptimizationFileManager`[get, set]`
int | NumParameters`[get, set]`
| Number of parameters. More...
int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0). More...
int | NumConstraints`[get, set]`
| Number of constraints. More...
int | NumEqualityConstraints`[get, set]`
| Number of equality constraints. More...
Properties inherited from IG.Neural.ApproximationFileServerNeural
virtual string | Directory`[get, protected set]`
| Gets or sets working directory of the current object. More...
NeuraApproximationFileManager | NeuralFileManager`[get, set]`
Properties inherited from IG.Num.IAnalysis
int | NumParameters`[get, set]`
| Number of parameters. More...
int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0). More...
int | NumConstraints`[get, set]`
| Number of constraints. More...
int | NumEqualityConstraints`[get, set]`
| Number of equality constraints. More...

## Private Attributes
OptFileManager | _optFileManager

## Detailed Description

Class containing direct analysis (in optimization) based on neural network optimization.

## Constructor & Destructor Documentation

IG.Neural.AnalysisFileServerNeural.AnalysisFileServerNeural | ( | string | workingDirectoryPath | ) |
| inline

Constructor, sets object's working directory to the specified path.

Parameters

  workingDirectoryPath |

## Member Function Documentation

virtual void IG.Neural.AnalysisFileServerNeural.Analyse | ( | IAnalysisResults | analysisData | ) |
| inline virtual

Performs analysis - calculates requested results and writes them to the provided data structure.

Parameters

  analysisData | Data structure where analysis request parameters are obtained and where analysis results are written.

Implements IG.Num.IAnalysis.

References IG.Num.IAnalysisResults.Parameters.

virtual void IG.Neural.AnalysisFileServerNeural.AnalysisToApproximationInput | ( | IVector | anInput,
|  | ref IVector | approximationInput
| ) |  |
| inline protected virtual

Converts analysis input parameters to approximation input parameters.

Parameters

  anInput | Input parameters for direct analysis.
  approximationInput | Input parameters for response approximation.

References IG.Num.VectorBase.Copy().

virtual void IG.Neural.AnalysisFileServerNeural.ApproximationToAnalysisOutput | ( | IVector | approxOuptut,
|  | IAnalysisResults | anResults
| ) |  |
| inline protected virtual

Converts approximation output to direct analysis results.
Sets objective function to sum of squares of approximated values.
WARNING:
This method should be overridden in derived classes.

Parameters

  approxOuptut | Vector of approximated output values.
  anResults | Direct analysis results.

References IG.Num.IAnalysisResults.CalculatedObjective, and IG.Num.IAnalysisResults.ReqObjective.

override void IG.Neural.AnalysisFileServerNeural.ClearMessages | ( |  | ) |
| inline virtual

Clears all messages in the neural network approximator's file client/server directory.

Reimplemented from IG.Neural.ApproximationFileServerNeural.

virtual void IG.Neural.AnalysisFileServerNeural.ServerAnalyse | ( |  | ) |
| inline virtual

Performs server-side direct analysis. Reads analysis input from standard location, calculates output and writes it to the standard location.

virtual void IG.Neural.AnalysisFileServerNeural.ClientCalculateAnalysisResults | ( | AnalysisResults | anRes | ) |
| inline virtual

Calculates analysis results by using the analysis server.

Parameters

  inputParameters | Intput parameters for which approximation is calculated.
  outputValues | Vector where approximation output values are stored.

virtual void IG.Neural.AnalysisFileServerNeural.ClientTestCalculateAnalysisResults | ( | string | inputFilePath,
|  | bool | reqObjective,
|  | bool | reqConstraints,
|  | bool | reqObjectiveGradient,
|  | bool | reqConstraintGradients,
|  | string | outputFilePath
| ) |  |
| inline virtual

Performs client-side test calculation of analysis response.

Parameters

  inputFilePath | Path to the JSON file where input parameters are read from. The file pointed at must exist.
  reqObjective | Flag indicating whether objective function must be calculated.
  reqConstraints | Flag indicating whether constraint functions must be calculated.
  reqGradObjective | Flag indicating whether objective function gradientmust be calculated.
  reqGradOConstraints | Fleg indicating whether constraint function gradients must be calculated.
  deletedFilePath | Path of a file where the calculated analysis response in JSON is written to. It can be null or empty string, in this case response is not written to a file (but it is output on console).

## Member Data Documentation

OptFileManager IG.Neural.AnalysisFileServerNeural._optFileManager
| private

## Property Documentation

OptFileManager IG.Neural.AnalysisFileServerNeural.OptimizationFileManager
| get set

int IG.Neural.AnalysisFileServerNeural.NumParameters
| get set

Number of parameters.

int IG.Neural.AnalysisFileServerNeural.NumObjectives
| get set

Number of objective functions (normally 1 for this type, but can be 0).

int IG.Neural.AnalysisFileServerNeural.NumConstraints
| get set

Number of constraints.

int IG.Neural.AnalysisFileServerNeural.NumEqualityConstraints
| get set

Number of equality constraints.

The documentation for this class was generated from the following file:

- extensions/ann/LibNeural/neural_server/NeuralAnalysisFileServer.cs